package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.Immutable;

@SuppressWarnings("serial")
@Entity
@Table(name="audit_schdules_v")
@Immutable
public class AuditschedulesV implements Serializable {
	
/*
 /*View: audit_schdules_v*/
 
 /*Column Information
----------------------

Field              Type         Collation          Null    Key     Default  Extra   Privileges                       Comment  
-----------------  -----------  -----------------  ------  ------  -------  ------  -------------------------------  ---------
legal_entity_code  int(2)       (NULL)             NO              (NULL)           select,insert,update,references           
audit_type_code    varchar(20)  latin1_swedish_ci  NO              (NULL)           select,insert,update,references   
audit_type_desc    varchar(20)  latin1_swedish_ci  NO              (NULL)           select,insert,update,references    
plan_id            varchar(20)  latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
plan_start_date    date         (NULL)             YES             (NULL)           select,insert,update,references           
plan_end_date      date         (NULL)             YES             (NULL)           select,insert,update,references           
status             varchar(20)  latin1_swedish_ci  NO              (NULL)           select,insert,update,references           
unit_ids           bigint(21)   (NULL)             NO              0                select,insert,update,references           
scheduled          bigint(21)   (NULL)             YES             0                select,insert,update,references           
initiated          bigint(21)   (NULL)             YES             0                select,insert,update,references           
responded          bigint(21)   (NULL)             YES             0                select,insert,update,references           
reviewed           bigint(21)   (NULL)             YES             0                select,insert,update,references           
closed             bigint(21)   (NULL)             YES             0                select,insert,update,references    

*/
	
	@Id
	@Column(name="legal_entity_code")
	private int legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_type_desc")
	private String auditTypeDesc;

	@Id
	@Column(name="plan_id")
	private String planId;
	
	@Column(name="planner_unit_code")
	private String plannerUnitCode;	
	
	@Column(name="plan_start_date")
	private String planStartDate;
	
	@Column(name="plan_end_date")
	private String planEndDate;
	
	@Column(name="status")
	private String status;
	
	@Column(name = "auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="unit_ids")
	private int unitIds;
	
	@Column(name="scheduled" )
	private int scheduled;
	
	@Column(name="initiated" )
	private int initiated;
	
	@Column(name="responded" )
	private int responded;
	
	@Column(name="reviewed" )
	private int reviewed;
	
	@Column(name="closed" )
	private int closed;
	
	@Column(name="dropped"  )
	private int dropped;
	
	@Column(name="unplanned")
	private int unplanned;
	
	@Column(name="plan_type")
	private String planType;
	
	public String getPlanType() {
		return planType;
	}

	public void setPlanType(String planType) {
		this.planType = planType;
	}

	public int getSubmitted() {
		return submitted;
	}

	public void setSubmitted(int submitted) {
		this.submitted = submitted;
	}

	@Column(name="submitted")
	private int submitted;
	
	@Column(name="description")
	private String description;
	
	@Column(name="maker")
	private String maker;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	
	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public int getUnitIds() {
		return unitIds;
	}

	public void setUnitIds(int unitIds) {
		this.unitIds = unitIds;
	}

	public int getDropped() {
		return dropped;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public void setDropped(int dropped) {
		this.dropped = dropped;
	}

	public int getUnplanned() {
		return unplanned;
	}

	public void setUnplanned(int unplanned) {
		this.unplanned = unplanned;
	}

	public int getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(int legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditTypeDesc() {
		return auditTypeDesc;
	}

	public void setAuditTypeDesc(String auditTypeDesc) {
		this.auditTypeDesc = auditTypeDesc;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getPlannerUnitCode() {
		return plannerUnitCode;
	}

	public void setPlannerUnitCode(String plannerUnitCode) {
		this.plannerUnitCode = plannerUnitCode;
	}

	public String getPlanStartDate() {
		return planStartDate;
	}

	public void setPlanStartDate(String planStartDate) {
		this.planStartDate = planStartDate;
	}

	public String getPlanEndDate() {
		return planEndDate;
	}

	public void setPlanEndDate(String planEndDate) {
		this.planEndDate = planEndDate;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	

	public int getScheduled() {
		return scheduled;
	}

	public void setScheduled(int scheduled) {
		this.scheduled = scheduled;
	}

	public int getInitiated() {
		return initiated;
	}

	public void setInitiated(int initiated) {
		this.initiated = initiated;
	}

	public int getResponded() {
		return responded;
	}

	public void setResponded(int responded) {
		this.responded = responded;
	}

	public int getReviewed() {
		return reviewed;
	}

	public void setReviewed(int reviewed) {
		this.reviewed = reviewed;
	}

	public int getClosed() {
		return closed;
	}

	public void setClosed(int closed) {
		this.closed = closed;
	}

	
	
	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	@Override
	public String toString() {
		return "AuditschedulesV [legalEntityCode=" + legalEntityCode + ", auditTypeCode=" + auditTypeCode
				+ ", auditTypeDesc=" + auditTypeDesc + ", planId=" + planId + ", planStartDate=" + planStartDate
				+ ", planEndDate=" + planEndDate + ", status=" + status + ", authRejRemarks=" + authRejRemarks
				+ ", unitIds=" + unitIds + ", scheduled=" + scheduled + ", initiated=" + initiated + ", responded="
				+ responded + ", reviewed=" + reviewed + ", closed=" + closed + ", dropped=" + dropped + ", unplanned="
				+ unplanned + ", planType=" + planType + ", submitted=" + submitted + ", description=" + description
				+ ", maker=" + maker + ", makerTimestamp=" + makerTimestamp + ", checker=" + checker
				+ ", checkerTimestamp=" + checkerTimestamp + "]";
	}

	
}
